org.apache.hadoop.yarn.api.records

## Enum FinalApplicationStatus

- java.lang.Object
- - java.lang.Enum<FinalApplicationStatus>
  - - org.apache.hadoop.yarn.api.records.FinalApplicationStatus

- All Implemented Interfaces:
    Serializable, Comparable<FinalApplicationStatus>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public enum FinalApplicationStatus
      extends Enum<FinalApplicationStatus>

  Enumeration of various final states of an `Application`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENDED` Application which has subtasks with multiple end states.
    `FAILED` Application which failed.
    `KILLED` Application which was terminated by a user or admin.
    `SUCCEEDED` Application which finished successfully.
    `UNDEFINED` Undefined state when either the application has not yet finished

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FinalApplicationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FinalApplicationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final FinalApplicationStatus UNDEFINED

      Undefined state when either the application has not yet finished

    - #### SUCCEEDED

          public static final FinalApplicationStatus SUCCEEDED

      Application which finished successfully.

    - #### FAILED

          public static final FinalApplicationStatus FAILED

      Application which failed.

    - #### KILLED

          public static final FinalApplicationStatus KILLED

      Application which was terminated by a user or admin.

    - #### ENDED

          public static final FinalApplicationStatus ENDED

      Application which has subtasks with multiple end states.

  - ### Method Detail

    - #### values

          public static FinalApplicationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FinalApplicationStatus c : FinalApplicationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FinalApplicationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.